summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
Diffstat (limited to 'lib')
-rwxr-xr-xlib/ldb/tests/test-generic.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/lib/ldb/tests/test-generic.sh b/lib/ldb/tests/test-generic.sh
index 69f901bd7c..e1f8e79e21 100755
--- a/lib/ldb/tests/test-generic.sh
+++ b/lib/ldb/tests/test-generic.sh
@@ -123,12 +123,14 @@ if [ $count != 2 ]; then
echo returned $count records - expected 2
echo "this fails on openLdap ..."
fi
+$VALGRIND ldbsearch '(cn>t)' cn && exit 1 # strictly greater should not work
count=`$VALGRIND ldbsearch '(cn<=t)' cn | grep '^dn' | wc -l`
if [ $count != 13 ]; then
echo returned $count records - expected 13
echo "this fails on openLdap ..."
fi
+$VALGRIND ldbsearch '(cn<t)' cn && exit 1 # strictly less should not work
checkcount() {
count=$1